%global upstream_name vtg

Name:           gedit-vala
Version:        0.10.2
Release:        1%{?dist}.1
Summary:        Vala Toys for gEdit

Group:          Applications/Editors
License:        GPLv2+
URL:            http://code.google.com/p/vtg/
Source0:        http://vtg.googlecode.com/files/vtg-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gedit-devel GConf2-devel
BuildRequires:	vala-devel >= 0.9.5
# GConf2-devel ought to depend on dbus-devel:
# https://bugzilla.redhat.com/show_bug.cgi?id=485667
BuildRequires:  dbus-devel
BuildRequires:  gtksourceview2-devel >= 2.10.3
BuildRequires:  intltool perl(XML::Parser)
BuildRequires:  readline-devel 
Requires:       gedit vala
# For project support
Requires:       automake libtool intltool perl(XML::Parser)
Requires:       gnome-common gtk2-devel 

%description
Vala Toys for gEdit is an experimental collection of plugins that
extends the gEdit editor to make it a better programmer editor for the
Vala language.

Vtg tries to make less compromises as possible so, for now, its scope
is narrowed only to support Vala.

It is written in Vala and it is currently composed of just one plugin
with four modules:

    * Bracket completion module
    * Symbol completion module
    * Project Manager - based on the gnome build framework library
    * Project builder / executer 

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel



%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{upstream_name}-%{version}


%build
%configure --enable-static=no
# this switch is ignored right now
# --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT vtgdocdir=%{_docdir}/%{name}-%{version}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{upstream_name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{upstream_name}.lang
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/gedit-2/plugins/*
%{_libdir}/libafrodite*.so.*
%{_datadir}/vtg
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libafrodite.so
%{_includedir}/afrodite-1.0/
%{_includedir}/gen-project-1.0/


%changelog
* Wed Sep 29 2010 jkeating - 0.10.2-1.1
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Michel Salim <salimma@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Tue Aug 31 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3.
- Add devel subpackage.
- Add BR on gtksourceview2-devel.

* Tue Dec  8 2009 Michel Salim <salimma@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Sat Oct  3 2009 Michel Salim <salimma@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Mon Sep 21 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.0-1
- Update to final 0.5.0 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-0.2.r319svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.0-0.1.r319svn%{?dist}
- Update to SVN rev 319 (needed to build against vala 0.7.x)

* Tue Feb 24 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.1-2
- Add requirements needed to build sample projects

* Tue Feb 24 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 23 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-3.1
- Bug #485667 workaround: BR on dbus-devel for now

* Mon Feb  9 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-3
- Fix documentation path

* Mon Feb  9 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-2
- Rename vtg to the more descriptive gedit-vala

* Thu Feb  5 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-1
- Initial package

